package com.patzn.lims.sys.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.patzn.lims.sys.entity.SysCompanyRelSystem;
import com.patzn.lims.core.web.IBaseService;

import java.util.List;

/**
 * <p>
 * 公司系统关联表 服务类
 * </p>
 *
 * @author patzn
 * @since 2017-08-03
 */
public interface ISysCompanyRelSystemService extends IBaseService<SysCompanyRelSystem> {

    IPage<SysCompanyRelSystem> page(Page<SysCompanyRelSystem> page, SysCompanyRelSystem sysCompanyRelSystem);

    List<SysCompanyRelSystem> list(SysCompanyRelSystem sysCompanyRelSystem);

    List<SysCompanyRelSystem> getRelSystem(Long companyId);

    boolean addRelSystem(Long companyId, Long[] systemIds);
}
